Package org.apache.uima.cas

# Enum Class FSComparators

java.lang.Object
java.lang.Enum<FSComparators>
org.apache.uima.cas.FSComparators

All Implemented Interfaces:
  `Serializable`, `Comparable<FSComparators>`, `Constable`

public enum FSComparators extends Enum<FSComparators>
There are 4 kinds of comparators for the combinations of comparing - with or without the "id" - with or without type order (with only includes typeOrder if there is such a key included)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `WITH_ID`
  `WITH_TYPE_ORDER`
  `WITHOUT_ID`
  `WITHOUT_TYPE_ORDER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FSComparators`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FSComparators[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WITH_ID

    public static final FSComparators WITH_ID

  - ### WITHOUT_ID

    public static final FSComparators WITHOUT_ID

  - ### WITH_TYPE_ORDER

    public static final FSComparators WITH_TYPE_ORDER

  - ### WITHOUT_TYPE_ORDER

    public static final FSComparators WITHOUT_TYPE_ORDER

- ## Method Details

  - ### values

    public static FSComparators[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FSComparators valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null